### Class

# AppStream Artifact

#### Description

    class AppStream.Artifact : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### as_artifact_new

Creates a new `AsArtifact`.

#### Instance methods

###### as_artifact_add_checksum

Add a checksum for the file associated with this artifact.

###### as_artifact_add_location

Adds a artifact location.

###### as_artifact_get_bundle_kind

Gets the bundle kind of this artifact.

###### as_artifact_get_checksum

Gets the artifact checksum.

###### as_artifact_get_checksums

Get a list of all checksums we have for this artifact.

###### as_artifact_get_filename

Gets a suggested filename for the downloaded artifact, or `NULL` if none is suggested.

###### as_artifact_get_kind

Gets the artifact kind.

###### as_artifact_get_locations

Gets the artifact locations, typically URLs.

###### as_artifact_get_platform

Gets the artifact platform string (e.g. a triplet like “x86_64-linux-gnu”).

###### as_artifact_get_size

Gets the artifact size.

###### as_artifact_set_bundle_kind

Sets the bundle kind for this release artifact.

###### as_artifact_set_filename

Sets a suggested filename for this artifact after it has been downloaded.

###### as_artifact_set_kind

Sets the artifact kind.

###### as_artifact_set_platform

Sets the artifact platform triplet or identifier string.

###### as_artifact_set_size

Sets the artifact size for the given kind.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct AppStreamArtifactClass {
      GObjectClass parent_class;
      void (* _as_reserved1) (
    void
      );
      void (* _as_reserved2) (
    void
      );
      void (* _as_reserved3) (
    void
      );
      void (* _as_reserved4) (
    void
      );
      void (* _as_reserved5) (
    void
      );
      void (* _as_reserved6) (
    void
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`_as_reserved1: void (* _as_reserved1) ( void )`

  No description available.

`_as_reserved2: void (* _as_reserved2) ( void )`

  No description available.

`_as_reserved3: void (* _as_reserved3) ( void )`

  No description available.

`_as_reserved4: void (* _as_reserved4) ( void )`

  No description available.

`_as_reserved5: void (* _as_reserved5) ( void )`

  No description available.

`_as_reserved6: void (* _as_reserved6) ( void )`

  No description available.